This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 927512

Summary: CVE-2013-1895 py-bcrypt: concurrency issue leading to auth bypass [epel-6]
Product: [Fedora] Fedora EPEL Reporter: Kurt Seifried <kseifried>
Component: py-bcryptAssignee: Jon Ciesla <limburgher>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el6CC: kevin, limburgher
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-04 19:50:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 927509    

Description Kurt Seifried 2013-03-26 02:07:15 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for py-bcrypt: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-03-26 02:07:25 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927509,927512
Comment 2 Fedora Update System 2013-03-26 09:23:19 EDT
py-bcrypt-0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/py-bcrypt-0.3-1.fc17
Comment 3 Fedora Update System 2013-03-26 09:23:38 EDT
py-bcrypt-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/py-bcrypt-0.3-1.el6
Comment 4 Fedora Update System 2013-03-26 09:23:56 EDT
py-bcrypt-0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/py-bcrypt-0.3-1.fc18
Comment 5 Fedora Update System 2013-03-26 12:45:24 EDT
Package py-bcrypt-0.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing py-bcrypt-0.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0809/py-bcrypt-0.3-1.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-04-04 19:50:27 EDT
py-bcrypt-0.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-04-04 19:51:44 EDT
py-bcrypt-0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-04-10 18:16:20 EDT
py-bcrypt-0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.